Bug 9201 - [3.3 regression] ICE in instantiate_virtual_regs_1 compiling octave-2.1 on m68k-linux
Summary: [3.3 regression] ICE in instantiate_virtual_regs_1 compiling octave-2.1 on m6...
Status: RESOLVED WONTFIX
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.3
: P2 critical
Target Milestone: 3.3.3
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2003-01-06 12:06 UTC by 175478
Modified: 2004-01-29 01:07 UTC (History)
3 users (show)

See Also:
Host: m68k-debian-linux-gnu
Target: m68k-debian-linux-gnu
Build: m68k-debian-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2003-05-25 23:46:19


Attachments
bug-175478.f (4.39 KB, text/plain)
2003-05-21 15:17 UTC, 175478
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 175478 2003-01-06 12:06:03 UTC
[ Reported to the Debian BTS as report #175478.
  Please CC 175478@bugs.debian.org on replies.
  Log of report can be found at http://bugs.debian.org/175478 ]
	

gcc version 3.2.2 20021231 (Debian prerelease)
same in 3.3 CVS 20030221

the file compiles without -fPIC. 2.95 and 3.0 compile the file.

$ /usr/bin/g77-3.2 -c -fPIC -O0 -g0 zbknu.f
zbknu.f: In subroutine `zbknu': 
zbknu.f:567: Internal compiler error in instantiate_virtual_regs_1, at function.c:3980 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions. 

[attching file in a followup]

Release:
3.2.1 and 3.3 CVS 20030221

Environment:
System: Debian GNU/Linux (unstable)
Architecture: m68k
Comment 1 Dara Hazeghi 2003-05-09 17:59:13 UTC
From: Dara Hazeghi <dhazeghi@yahoo.com>
To: gcc-gnats@gcc.gnu.org, 175478@bugs.debian.org
Cc:  
Subject: Re: target/9201: [3.2 branch regression] ICE compiling octave-2.1 on m68k-linux
Date: Fri, 9 May 2003 17:59:13 -0700

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit- 
 trail&database=gcc&pr=9201
 
 Hello,
 
 I have verified that this bug is still present in gcc 3.2.3, 3.3 branch  
 and mainline (20030508). Only -fPIC is needed to cause the error.
 
 Dara
Comment 2 Andrew Pinski 2003-05-25 23:46:19 UTC
see Dara's comment.
Comment 3 Dara Hazeghi 2003-06-20 22:21:13 UTC
Confirmed still present with gcc 3.3 branch and mainline (20030620).
Comment 4 Mark Mitchell 2003-07-11 23:05:53 UTC
Postponed until GCC 3.3.2; m68k is not a primary platform.
Comment 5 Mark Mitchell 2003-10-16 02:41:05 UTC
Postponed until GCC 3.3.3.
Comment 6 Gabriel Dos Reis 2003-12-21 18:24:11 UTC
Jeff --
Do you think there is any chance to fix this
on gcc-3_3-branch?

-- Gaby
Comment 7 Andrew Pinski 2003-12-26 05:17:00 UTC
This does not happen on the mainline.
Comment 8 Gabriel Dos Reis 2004-01-21 04:03:48 UTC
(In reply to comment #7)
> This does not happen on the mainline.

So, it seems to have been fixed.  I'm going to close this as WONTFIX
if the patch that fixed it is not obvious
Comment 9 Gabriel Dos Reis 2004-01-28 23:20:55 UTC
I have repeatedly asked for inputs from maintainers, alas no feedback.
So, I think this is not going to be fixed in 3.3.x.
This PR may be reopen if someone is willing to investigate and
provide a patch though,
Comment 10 Andrew Pinski 2004-01-29 01:07:13 UTC
Fixing the little mistake that Gaby made, closing as will not fix.